Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
domain_analytics
/
technologies
/
domain_technologies
/
live
Domain Technologies
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/domain_analytics/technologies/domain_technologies/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.type": "<string>",
  "tasks.result.domain": "<string>",
  "tasks.result.title": "<string>",
  "tasks.result.description": "<string>",
  "tasks.result.meta_keywords": [
    "<string>"
  ],
  "tasks.result.domain_rank": "<string>",
  "tasks.result.last_visited": "<string>",
  "tasks.result.country_iso_code": "<string>",
  "tasks.result.language_code": "<string>",
  "tasks.result.content_language_code": "<string>",
  "tasks.result.phone_numbers": [
    "<string>"
  ],
  "tasks.result.emails": [
    "<string>"
  ],
  "tasks.result.social_graph_urls": [
    "<string>"
  ],
  "tasks.result.technologies": {}
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
target
string
required

target domain required field domain name of the website to analyze Note: results will be returned for the specified domain only

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.type
string

type of the returned data item = ‘domain_technology_item’

tasks.result.domain
string

specified domain name

tasks.result.title
string

domain meta title

tasks.result.description
string

domain meta description

tasks.result.meta_keywords
string[]

domain meta keywords

tasks.result.domain_rank
string

backlink rank of the target domain learn more about the metric and how it is calculated in this help center article

tasks.result.last_visited
string

most recent date when our crawler visited the domain in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2022-10-10 12:57:46 +00:00

tasks.result.country_iso_code
string

domain ISO code ISO code of the country that the target domain is determined to belong to

tasks.result.language_code
string

domain language code of the language that the target domain is determined to be associated with

tasks.result.content_language_code
string

content language code of the language that content on the target domain is written in

tasks.result.phone_numbers
string[]

phone numbers of the target contact phone numbers indicated on the target website

tasks.result.emails
string[]

emails of the target emails indicated on the target website

tasks.result.social_graph_urls
string[]

social media links and handles social media URLs detected in the social graphs of the target website

tasks.result.technologies
object

technologies used by target domain contains objects with the names of technologies used on the website see the full list of available technologies structured by groups and categories